## gnomevfssink

gnomevfssink — Write a stream to a GnomeVFS URI

## Synopsis

    struct              GstGnomeVFSSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstGnomeVFSSink

## Implemented Interfaces

GstGnomeVFSSink implements GstURIHandler.

## Properties

      "handle"                   GnomeVFSHandle*       : Read / Write
      "location"                 gchar*                : Read / Write
      "uri"                      GnomeVFSURI*          : Read / Write

## Signals

      "allow-overwrite"                                : Cleanup

## Description

## Synopsis

### Element Information

plugin | gnomevfs
author | Bastien Nocera <hadess@hadess.net>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstGnomeVFSSink

    struct GstGnomeVFSSink;

## Property Details

### The `"handle"` property

      "handle"                   GnomeVFSHandle*       : Read / Write

Handle for GnomeVFS.

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the file to write.

Default value: NULL

### The `"uri"` property

      "uri"                      GnomeVFSURI*          : Read / Write

URI for GnomeVFS.

## Signal Details

### The `"allow-overwrite"` signal

    gboolean            user_function                      (GstGnomeVFSSink *gstgnomevfssink,
                                                            GnomeVFSURI     *arg1,
                                                            gpointer         user_data)            : Cleanup

`gstgnomevfssink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.